> For the complete documentation index, see [llms.txt](https://apidocs.webcom.mobi/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/http-get-specification/registration.md).

# Registration

## Registration

<mark style="color:blue;">`GET`</mark> `http://lk.mysmpp.ru/ru/reg/registration.html`

The set of parameters for registration of a natural person, a legal entity and an individual entrepreneur are different

#### Request Body

| Name                                                 | Type   | Description                                                                                                                         |
| ---------------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| registration<mark style="color:red;">\*</mark>       | Int    | Registration parameter, always "1"                                                                                                  |
| address\_facto<mark style="color:red;">\*</mark>     | String | <p>Factual address (FL) </p><p><mark style="color:red;">At least 10 characters</mark></p>                                           |
| ogrnip<mark style="color:red;">\*</mark>             | Int    | <p>OGRNIP of the client (Individual entrepreneur) </p><p><mark style="color:red;">Must contain 13-15 digits</mark></p>              |
| company\_name<mark style="color:red;">\*</mark>      | String | <p>Company name (legal entity) </p><p><mark style="color:red;">At least 5 characters</mark></p>                                     |
| juridical\_address<mark style="color:red;">\*</mark> | String | <p>Legal address (legal entity, sole proprietorship) </p><p><mark style="color:red;">At least 10 characters</mark></p>              |
| inn<mark style="color:red;">\*</mark>                | Int    | <p>TIN of the client (legal entity, individual entrepreneur) </p><p><mark style="color:red;">At least 10 digits</mark></p>          |
| e\_mail<mark style="color:red;">\*</mark>            | String | <p>Client E-mail  </p><p><mark style="color:red;">E-mail of appropriate format</mark></p>                                           |
| phone<mark style="color:red;">\*</mark>              | Int    | Customer's phone number                                                                                                             |
| city<mark style="color:red;">\*</mark>               | String | <p>Client's Country/City </p><p><mark style="color:red;">At least 3 characters</mark></p>                                           |
| name<mark style="color:red;">\*</mark>               | String | <p>Client's full name </p><p><mark style="color:red;">At least 3 characters, must consist of Russian or Latin characters</mark></p> |
| password<mark style="color:red;">\*</mark>           | String | Your password in the system                                                                                                         |
| login<mark style="color:red;">\*</mark>              | String | Your login in the system                                                                                                            |
| businessman<mark style="color:red;">\*</mark>        | String | <p>Type of registrant: </p><p> - "le" - Legal Entity.</p><p> - "ip" - Individual entrepreneur</p><p> - "le" - Physical person</p>   |

### Example of a browser request

{% code overflow="wrap" %}

```
http://lk.mysmpp.ru/ru/reg/registration.html?registration=1&businessman=le&login=login&password=password&name=Ivan&city=City&phone=79537775522&e_mail=registration@gmail.com&inn=5551112223&juridical_address=juridical_address&company_name=nameCompany
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/http-get-specification/registration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
